Debian dummies proof

Today I was trying to be sure that if I upgraded my Debian Etch to Lenny I was going to be able to install OpenArena from repositories.

To do that I changed in my

/etc/apt/sources.list

all Etch words for Lenny.

Then run

apt-get update

and finally, I entered:

apt-get install openarena

I knew that was not the way to do it, first I was supposed to enter

apt-get dist-upgrade

But I was only trying to check if the Lenny repositories contain openarena deb package.

this was the output:

Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
  binutils cpp cpp-4.1 gcc gcc-4.1 gcc-4.1-base gcc-4.2-base lib64gcc1 libc6
  libc6-amd64 libc6-i686 libcurl3-gnutls libgcc1 libglib2.0-0 libgnutls13
  libkeyutils1 libkrb53 libopenal0a libopencdk8 libpng12-0 libstdc++6 locales
  openarena-data zlib1g
Suggested packages:
  cpp-doc gcc-4.1-locales gcc-multilib gcc-doc gcc-4.1-multilib gcc-4.1-doc
  glibc-doc gnutls-bin krb5-doc krb5-user
Recommended packages:
  libmudflap0-dev libglib2.0-data
The following packages will be REMOVED:
  beryl-dev build-essential g++ g++-4.1 libc6-dev libc6-dev-amd64
  libgl1-mesa-dev libglib2.0-dev libpng12-dev libssp0 libstdc++6-4.1-dev
  libtool tzdata util-linux zlib1g-dev
The following NEW packages will be installed:
  gcc-4.2-base libcurl3-gnutls libkeyutils1 libopenal0a openarena
  openarena-data
The following packages will be upgraded:
  binutils cpp cpp-4.1 gcc gcc-4.1 gcc-4.1-base lib64gcc1 libc6 libc6-amd64
  libc6-i686 libgcc1 libglib2.0-0 libgnutls13 libkrb53 libopencdk8 libpng12-0
  libstdc++6 locales zlib1g
WARNING: The following essential packages will be removed.
This should NOT be done unless you know exactly what you are doing!
  util-linux tzdata (due to util-linux)
19 upgraded, 6 newly installed, 15 to remove and 638 not upgraded.
Need to get 98.2MB of archives.
After unpacking 34.1MB of additional disk space will be used.
You are about to do something potentially harmful.
To continue type in the phrase 'Yes, do as I say!'
 ?] no

As you can see Debian is asking me to enter:

'Yes, do as I say', in order to avoid an "automatic" 'yes' entered by me just because I am used to do it.

I was not aware about this feature, but I really liked, this makes Debian (and maybe other Distros) dummies-proof!

At least, related to apt-get command.

Comments

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.

Not really a Pro at this

Not really a Pro at this stuff, but once you have updated your sources.list and then done apt-get update could you then not just do apt-cache search packagename packagename being the package you wanted to see was in the new repos?

Goodluck with your quest.